using System;

namespace NorthwindExample.ConsoleApp {
    public class Order {
        private int m_Id;
        private DateTime m_OrderDate;

        // Required by NHibernate
        private Order() {
        }

        public Order(DateTime orderDate) {
            m_OrderDate = orderDate;
        }
        public int Id {
            get { return m_Id; }
            set { m_Id = value; }
        }

        public DateTime OrderDate {
            get { return m_OrderDate; }
            set { m_OrderDate = value; }
        }
    }
}